summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2011-08-27 15:31:12 +0200
committer Niels Horn2011-08-27 15:31:12 +0200
commit0dbe6333d8c0f718ef1f9d4809e7dca4bf325f47 (patch)
treec5e791b4bbbb1b637b192009b44896e51b8076e9
parenta15ad4bb98b27e5280de4ff2c185b26ba59c6358 (diff)
downloadslackbuilds-0dbe6333d8c0f718ef1f9d4809e7dca4bf325f47.tar.gz
audio/fluidsynth-dssi: Added (DSSI plugin wrapper for FluidSynth)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--audio/fluidsynth-dssi/README5
-rw-r--r--audio/fluidsynth-dssi/fluidsynth-dssi.SlackBuild78
-rw-r--r--audio/fluidsynth-dssi/fluidsynth-dssi.info10
-rw-r--r--audio/fluidsynth-dssi/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/audio/fluidsynth-dssi/README b/audio/fluidsynth-dssi/README
new file mode 100644
index 0000000000..cf8a627147
--- /dev/null
+++ b/audio/fluidsynth-dssi/README
@@ -0,0 +1,5 @@
+fluidsynth-dssi is a wrapper for the FluidSynth SoundFont-playing software
+synthesizer, allowing it to function as a DSSI plugin.
+
+This requires fluidsynth, jack-audio-connection-kit, ladspa_sdk, liblo,
+and dssi.
diff --git a/audio/fluidsynth-dssi/fluidsynth-dssi.SlackBuild b/audio/fluidsynth-dssi/fluidsynth-dssi.SlackBuild
new file mode 100644
index 0000000000..9ba5fa1146
--- /dev/null
+++ b/audio/fluidsynth-dssi/fluidsynth-dssi.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for fluidsynth-dssi
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=fluidsynth-dssi
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/fluidsynth-dssi/fluidsynth-dssi.info b/audio/fluidsynth-dssi/fluidsynth-dssi.info
new file mode 100644
index 0000000000..1222b0c0d8
--- /dev/null
+++ b/audio/fluidsynth-dssi/fluidsynth-dssi.info
@@ -0,0 +1,10 @@
+PRGNAM="fluidsynth-dssi"
+VERSION="1.0.0"
+HOMEPAGE="http://dssi.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/dssi/fluidsynth-dssi-1.0.0.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="6c9f660f0df4d2aad5076de75b2a0a67"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Niels Horn"
diff --git a/audio/fluidsynth-dssi/slack-desc b/audio/fluidsynth-dssi/slack-desc
new file mode 100644
index 0000000000..729d5520d9
--- /dev/null
+++ b/audio/fluidsynth-dssi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fluidsynth-dssi: fluidsynth-dssi (DSSI plugin wrapper for FluidSynth)
+fluidsynth-dssi:
+fluidsynth-dssi: fluidsynth-dssi is a wrapper for the FluidSynth SoundFont-playing
+fluidsynth-dssi: software synthesizer, allowing it to function as a DSSI plugin.
+fluidsynth-dssi:
+fluidsynth-dssi:
+fluidsynth-dssi:
+fluidsynth-dssi:
+fluidsynth-dssi:
+fluidsynth-dssi:
+fluidsynth-dssi: